APIVoid logo

HTTP Tracker API Reference

Track all HTTP requests made by a URL when loaded in a real browser: requests to third-party domains, IP addresses contacted, and response details.

Service details and pricing: HTTP Tracker API

POSThttps://api.apivoid.com/v2/http-tracker
20 credits per successful requestCan take up to 150 secondsPOST · JSON

Request example

Query the endpoint via an HTTPS POST request (replace YOUR_API_KEY_HERE with your API key):

curl
curl -X POST "https://api.apivoid.com/v2/http-tracker" \
     -H "Content-Type: application/json" \
     -H "X-API-Key: YOUR_API_KEY_HERE" \
     -d '{"url": "https://www.apivoid.com/"}'

The same request in PHP:

php
$url = 'https://www.apivoid.com/';

$apiKey = 'YOUR_API_KEY_HERE';

$curl = curl_init('https://api.apivoid.com/v2/http-tracker');
curl_setopt($curl, CURLOPT_HTTPHEADER, ['Content-Type: application/json', 'X-API-Key: ' . $apiKey]);
curl_setopt($curl, CURLOPT_POST, true);
curl_setopt($curl, CURLOPT_POSTFIELDS, json_encode(['url' => $url]));
curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
$response = curl_exec($curl);
$httpCode = curl_getinfo($curl, CURLINFO_HTTP_CODE);
curl_close($curl);

if ($httpCode === 200) {
    $responseData = json_decode($response, true);
    print_r($responseData);
} else {
    print_r('An error occurred: '.$response);
}

Request parameters

Required

urlstringRequired

URL to submit, e.g. https://www.apivoid.com/.

⚠  Government and educational domains are blocked.

Optional

user_agentstringDefault: desktop

Can be desktop (default, a random desktop user agent) or mobile.

accept_languagestringDefault: en-US

Change the Accept-Language HTTP header, format like en-US.

Response example

A successful request returns HTTP 200 with a JSON body:

json · 200
{
    "url": "https://www.apivoid.com/",
    "http_requests": [
        {
            "url": "https://www.apivoid.com/",
            "status_code": 200,
            "content_type": "text/html",
            "content_length": 30266,
            "elapsed_ms": 199,
            "ip_address": "159.69.124.48"
        },
        {
            "url": "https://www.apivoid.com/styles/main.css",
            "status_code": 200,
            "content_type": "text/css",
            "content_length": 192605,
            "elapsed_ms": 87,
            "ip_address": "159.69.124.48"
        },
        {
            "url": "https://www.apivoid.com/images/email-support.png",
            "status_code": 200,
            "content_type": "image/png",
            "content_length": 867,
            "elapsed_ms": 100,
            "ip_address": "159.69.124.48"
        },
        {
            "url": "https://www.apivoid.com/scripts/jquery-3.1.1.min.js",
            "status_code": 200,
            "content_type": "application/javascript",
            "content_length": 86709,
            "elapsed_ms": 107,
            "ip_address": "159.69.124.48"
        },
        {
            "url": "https://cdnjs.cloudflare.com/ajax/libs/flag-icon-css/3.5.0/css/flag-icon.min.css",
            "status_code": 200,
            "content_type": "text/css",
            "content_length": 1482,
            "elapsed_ms": 157,
            "ip_address": "104.17.25.14"
        },
        {
            "url": "https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css",
            "status_code": 200,
            "content_type": "text/css",
            "content_length": 31000,
            "elapsed_ms": 172,
            "ip_address": "104.18.11.207"
        },
        ...
    ],
    "hosts_list": [
        "cdn.usefathom.com",
        "cdnjs.cloudflare.com",
        "fonts.googleapis.com",
        "maxcdn.bootstrapcdn.com",
        "www.apivoid.com",
        "www.google.com",
        "www.gstatic.com"
    ],
    "ips_list": [
        "104.17.25.14",
        "104.18.11.207",
        "142.250.185.227",
        "142.250.185.74",
        "142.250.186.164",
        "159.69.124.48",
        "169.150.247.37"
    ],
    "stats": {
        "total_requests": 27,
        "unsecure_requests": 0,
        "same_origin_requests": 16,
        "cross_origin_requests": 11,
        "unique_hosts": 7,
        "external_hosts": 6,
        "unique_ips": 7,
        "2xx_status_codes": 27,
        "3xx_status_codes": 0,
        "4xx_status_codes": 0,
        "5xx_status_codes": 0,
        "transferred_bytes": 926446,
        "html_files": 1,
        "html_files_bytes": 30266,
        "image_files": 8,
        "image_files_bytes": 63463,
        "javascript_files": 11,
        "javascript_files_bytes": 525055,
        "css_files": 5,
        "css_files_bytes": 230459,
        "font_files": 1,
        "font_files_bytes": 77160
    },
    "elapsed_ms": 1828
}

Response fields

The fields returned in the JSON response:

urlstring

URL submitted for HTTP requests tracking.

http_requestsarray

List of HTTP requests made while loading the page.

http_requests[n] → urlstring

URL of the requested resource.

http_requests[n] → status_codeinteger

HTTP status code returned for the request.

http_requests[n] → content_typestring

Content type of the requested resource, e.g. text/html.

http_requests[n] → content_lengthinteger

Size of the requested resource in bytes.

http_requests[n] → elapsed_msinteger

Time taken by the request in milliseconds.

http_requests[n] → ip_addressstring

IP address of the server that served the resource.

hosts_listarray

List of unique hosts contacted while loading the page.

ips_listarray

List of unique IP addresses contacted while loading the page.

stats → total_requestsinteger

Total number of HTTP requests made.

stats → unsecure_requestsinteger

Number of requests made over unsecure HTTP.

stats → same_origin_requestsinteger

Number of requests made to the same origin.

stats → cross_origin_requestsinteger

Number of requests made to a different origin.

stats → unique_hostsinteger

Number of unique hosts contacted.

stats → external_hostsinteger

Number of external hosts contacted.

stats → unique_ipsinteger

Number of unique IP addresses contacted.

stats → 2xx_status_codesinteger

Number of requests that returned a 2xx status code.

stats → 3xx_status_codesinteger

Number of requests that returned a 3xx status code.

stats → 4xx_status_codesinteger

Number of requests that returned a 4xx status code.

stats → 5xx_status_codesinteger

Number of requests that returned a 5xx status code.

stats → transferred_bytesinteger

Total bytes transferred while loading the page.

stats → html_filesinteger

Number of HTML files loaded.

stats → html_files_bytesinteger

Total bytes of HTML files loaded.

stats → image_filesinteger

Number of image files loaded.

stats → image_files_bytesinteger

Total bytes of image files loaded.

stats → javascript_filesinteger

Number of JavaScript files loaded.

stats → javascript_files_bytesinteger

Total bytes of JavaScript files loaded.

stats → css_filesinteger

Number of CSS files loaded.

stats → css_files_bytesinteger

Total bytes of CSS files loaded.

stats → font_filesinteger

Number of font files loaded.

stats → font_files_bytesinteger

Total bytes of font files loaded.

elapsed_msinteger

Time taken to process the request, in milliseconds.